base-4.8.2.0: Basic libraries

Safe Haskell | Trustworthy
Language | Haskell2010

GHC.Fingerprint

Synopsis

- data Fingerprint = Fingerprint !Word64 !Word64
- fingerprint0 :: Fingerprint
- fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint
- fingerprintString :: String -> Fingerprint
- fingerprintFingerprints :: [Fingerprint] -> Fingerprint
- getFileHash :: FilePath -> IO Fingerprint

# Documentation

data Fingerprint

Constructors

Fingerprint !Word64 !Word64 |

Instances

Eq Fingerprint |
Ord Fingerprint |
Show Fingerprint |
Storable Fingerprint |

fingerprint0 :: Fingerprint

fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint

fingerprintString :: String -> Fingerprint

fingerprintFingerprints :: [Fingerprint] -> Fingerprint

getFileHash :: FilePath -> IO Fingerprint

Computes the hash of a given file. This function loops over the handle, running in constant memory.

Since: 4.7.0.0